/*!
 * @file simple_sync.h
 *  implementation of a network sync test
 */

#ifndef _WRITE_SYNC
#define _WRITE_SYNC

#include "synchronizeable.h"


class WriteSync : public Synchronizeable
  {
  public:
    WriteSync(const char* name);
    ~WriteSync();

    virtual int writeBytes(const byte* data, int length, int sender);
    virtual int readBytes(byte* data, int maxLength, int * reciever);


  private:
    virtual void writeDebug() const;
    virtual void readDebug() const;


  private:
    byte* inData;
    int   inLength;
    int   recLength;
    byte* outData;
    int   outLength;
  };

#endif /* _WRITE_SYNC */
