/*!
 * @file ground_turret.h
 * @brief description
*/

#ifndef _GROUND_TURRET_H
#define _GROUND_TURRET_H

#include "npcs/npc.h"

class Weapon;

//! A Class to ...
class GroundTurret : public NPC
{

 public:
  GroundTurret(const TiXmlElement* root = NULL);
  virtual ~GroundTurret();

  void init();
  virtual void loadParams(const TiXmlElement* root);

  virtual void postSpawn ();
  virtual void leftWorld ();


  virtual void draw() const;
  virtual void tick(float time);
  virtual void collidesWith (WorldEntity* entity, const Vector& location);

  virtual int writeBytes(const byte* data, int length, int sender);
  virtual int readBytes(byte* data, int maxLength, int * reciever);

 private:
   Weapon *left, *right;
};

#endif /* _GROUND_TURRET_H */
