/*!
 * @file glgui_image.h
 * The gl_Image widget of th openglGUI
 *
 */

#ifndef _GLGUI_IMAGE_H
#define _GLGUI_IMAGE_H

#include "base_object.h"

// FORWARD DECLARATION
struct SDL_Surface;

//! This is Image part of the openglGUI class
/**
 *
 */
class GLGuiImage : public GLGuiWidget {

 public:
  GLGuiImage();
  virtual ~GLGuiImage();

  void init();
  void loadImageFromFile(const char* fileName);
  void loadImageFromSDLSurface(SDL_Surface* surface);
  void loadImageFromDisplayList(GLuint displayList);

  virtual void draw();

 private:

};

#endif /* _GLGUI_IMAGE_H */
